Bug 500690 - channel.listSoftwareChannels should be deprecated
channel.listSoftwareChannels should be deprecated
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2009-05-13 13:28 EDT by Sayli Karmarkar
Modified: 2014-07-04 09:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-04 09:28:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-05-13 13:28:13 EDT
Description of problem:
channel.listSoftwareChannels seems to be returning the same results as channel.listAllChannels. 

webUI is using listAllChannels in the query. So, it seems that somewhere down the line, all new channel.list* api were added but listSoftwareChannels which was old was not deprecated.
Comment 1 Brad Buckingham 2009-05-14 09:43:39 EDT
After a further look, these APIs are not identical with respect to the information being returned.

listSoftwareChannels includes (which isn't in listAllChannels):
    * string "parent_label"
    * string "end_of_life"
    * string "arch"

listAllChannels includes (which isn't in listSoftwareChannels):
    * int "id"
    * string "provider_name"
    * int "packages"
    * int "systems"

So, to maintain backward compatability, we need to update listAllChannels to include retrieving parent_label, end_of_life and arch.  I haven't determined yet, if this will complicate the query; however, wanted to raise the point now, since this bug will require more than labelling the old API as deprecated.  We'll need to be sure to update/regression test the listAllChannels as well as the web UI for listing all channels to be sure that the changes have not side affect.
Comment 2 Brandon Perkins 2009-05-14 09:49:58 EDT
Throwing back on triage for Cliff and I to review today.
Comment 3 Brandon Perkins 2009-05-14 10:56:15 EDT
After review, we are going to punt this to a later release.

Note You need to log in before you can comment on or make changes to this bug.